The Apache Haus Forum

Advanced search  

News:

Welcome to Apache Haus Distribution Forum

Pages: [1]   Go Down

Author Topic: Announcing the release of Apache 2.4.17  (Read 1651 times)

Gregg

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 839
Announcing the release of Apache 2.4.17
« on: October 12, 2015, 08:30:56 PM »

Announcing the release of Apache 2.4.17. You can grab your copy of the new Apache HTTP Server from our download page.

APR 1.5.2
APR-UTIL 1.5.4
Expat 2.1.0
LUA 5.1.5
nghttp2 1.3.4 (for mod_http2)
OpenSSL 1.0.2d (w/ ALPN)
PCRE 8.37
ZLib 1.3.8

OpenSSL 1.0.1p downgrades are available for VC9 and VC11 builds. OpenSSL 0.9.8zg downgrades available for the VC9 builds.


HTTP/2:
Have moved to OpenSSL 1.0.2 because it is required for HTTP/2 communication.
There is a http/2 How-To that can be found here
mod_http2 documentation is found here

HTTP/2.0 is only supported over TLS by the major browsers. There are also strict requirements about which ciphers are available for use. ECDHE-RSA-AES128-GCM-SHA256 is required to be supported by all servers and clients that implement HTTP/2. You should be careful where you add this cipher to your SSLCipherSuite list due to it's 128 bit nature.

mod_http2 is not enabled, the LoadModule line is left commented out. At the bottom of httpd.conf, there is configuration example for the module. You as the administrator must figure out where in the SSLCipherSuite list you wish to add the minimal required cipher noted above.

See the Change Log for a complete list of changes since 2.4.17.





« Last Edit: October 12, 2015, 09:05:50 PM by Gregg »
Logged
Pages: [1]   Go Up
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13